Subject: Re: bug#56820: outline-minor-mode replacing the first character with an arrow

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 10 Sep 2022 06:36:07 +0200

Eli Zaretskii <[email-masked]> writes:

>> I meant whether we could get rid of the current fringe implementation
>> (which doesn't allow displaying normal images) and just use the margin
>> code for the fringes instead.
>
> We could, but why would we want to?  If we want to display other types
> of (small) images on the fringes, it should be almost straightforward
> to implement.  The actual code that draws the bitmaps on the fringes
> is specific to the terminal, and we have separate implementations for
> X, w32, Cairo, etc.  It shouldn't be too hard to support other images
> there.

If it's easier to extend the image support in the fringe code instead,
then that's fine.  It'd be nice to have the entire image/face machinery
working, though, so we'd be able to specify colours (for SVGs, for
instance) in the same way we do everywhere else.